Bug 213828 - Cups starts as S55cups, before sshd
Summary: Cups starts as S55cups, before sshd
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-03 09:31 UTC by Jan Pazdziora
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-10-31 13:48:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1020 normal SHIPPED_LIVE Important: cups security and bug fix update 2007-10-31 13:48:34 UTC

Description Jan Pazdziora 2006-11-03 09:31:57 UTC
Description of problem:

$ grep chkconfig: /etc/init.d/cups
#   chkconfig: 2345 55 10
$ grep chkconfig: /etc/init.d/sshd
# chkconfig: 2345 55 25

I'd argue that sshd is more important especially when one tries to log in to the
machine as early as possible, and should be let started first.

I suggest changing that 55 in /etc/init.d/cups to 56.

Version-Release number of selected component (if applicable):

cups-1.2.4-9.1

Comment 1 Tim Waugh 2006-11-03 11:13:06 UTC
Looks like that might be harmless.  It must be started after hplip (if hplip is
enabled), so starting it later won't affect that.

Comment 2 Jan Pazdziora 2007-03-28 08:39:19 UTC
As the issue is present in RHEL 5 as well, I'm changing the Product to reflect that.

Comment 3 RHEL Product and Program Management 2007-03-28 08:45:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 errata-xmlrpc 2007-10-31 13:48:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-1020.html



Note You need to log in before you can comment on or make changes to this bug.